API ReferenceAgents
Get Agent
Get agent detail.
Get agent detail.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
agent_id*Agent Id
Header Parameters
X-API-Key?string|null
Response Body
application/json
application/json
curl -X GET "https://api.levainlabs.com/api/v1/agents/string"{
"id": "string",
"name": "string",
"slug": "string",
"description": "string",
"status": "string",
"icon": "string",
"color": "string",
"kind": "customer",
"config": {
"max_budget": 1,
"timeout_minutes": 1,
"notify_on_run": true,
"workspace_scope": "session",
"interactive": true,
"keep_warm_minutes": 1,
"auto_improve": true
},
"workspace_integration_access": false,
"created_at": "string",
"updated_at": "string",
"draft_version": 0,
"latest_version": 0,
"open_issue_count": 0
}